<template>
  <v-chip :color="badgeColor" small>
    {{ berthInfoSentStatus }}
  </v-chip>
</template>

<script lang="ts" setup>
import { defineProps, computed } from 'vue';
import type { BerthInfoSentStatus } from '~/utils/types';

const props = defineProps<{
  berthInfoSentStatus: BerthInfoSentStatus;
}>();

const colorMapping: Record<BerthInfoSentStatus, string> = {
  "Pending": "amber",
  "Yes": "green"
};

const badgeColor = computed(() => {
  return colorMapping[props.berthInfoSentStatus] || 'grey';
});
</script>

<style scoped>
.v-chip {
  font-size: 0.8rem;
}
</style>
